# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "hikidoc"
  s.version = "0.0.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kazuhiko"]
  s.date = "2010-08-26"
  s.description = "'HikiDoc' is a text-to-HTML conversion tool for web writers. HikiDoc\nallows you to write using an easy-to-read, easy-to-write plain text\nformat, then convert it to structurally valid HTML (or XHTML)."
  s.email = ["kazuhiko@fdiary.net"]
  s.executables = ["hikidoc"]
  s.extra_rdoc_files = ["README", "COPYING", "NEWS", "TextFormattingRules"]
  s.files = ["COPYING", "NEWS.ja", "README", "README.ja", "Rakefile", "TextFormattingRules", "TextFormattingRules.ja", "bin/hikidoc", "lib/hikidoc.rb", "setup.rb", "test/run-test.rb", "test/test_hikidoc.rb", "NEWS"]
  s.homepage = "http://rubyforge.org/projects/hikidoc/"
  s.rdoc_options = ["--main", "lib/hikidoc.rb"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "hikidoc"
  s.rubygems_version = "1.8.23"
  s.summary = "'HikiDoc' is a text-to-HTML conversion tool for web writers."
  s.test_files = ["test/test_hikidoc.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rubyforge>, [">= 2.0.4"])
      s.add_development_dependency(%q<hoe>, [">= 2.6.1"])
    else
      s.add_dependency(%q<rubyforge>, [">= 2.0.4"])
      s.add_dependency(%q<hoe>, [">= 2.6.1"])
    end
  else
    s.add_dependency(%q<rubyforge>, [">= 2.0.4"])
    s.add_dependency(%q<hoe>, [">= 2.6.1"])
  end
end
